<?xml version="1.0" encoding="UTF-8"?>
<!--
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - JOnAS: Java(TM) Open Application Server
  - Copyright (C) 2007-2009 Bull S.A.S.
  - Contact: jonas-team@ow2.org
  -
  - This library is free software; you can redistribute it and/or
  - modify it under the terms of the GNU Lesser General Public
  - License as published by the Free Software Foundation; either
  - version 2.1 of the License, or (at your option) any later version.
  -
  - This library is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  - Lesser General Public License for more details.
  -
  - You should have received a copy of the GNU Lesser General Public
  - License along with this library; if not, write to the Free Software
  - Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
  -
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
  - $Id: templates-component.xml 20332 2010-09-16 15:38:26Z pelletib $
  - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
-->

<component xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/component/1.1.0"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/component/1.1.0
                               http://maven.apache.org/xsd/component-1.1.0.xsd">

  <fileSets>
    <!-- Templates directory (used by newjb) -->
    <fileSet>
      <!-- Copy the configuration -->
      <directory>target/configuration-resources</directory>
      <outputDirectory>templates/conf/</outputDirectory>
      <includes>
        <include>conf/**</include>
      </includes>
    </fileSet>
    <fileSet>
      <!-- Copy the default deploy content -->
      <directory>target/configuration-resources</directory>
      <outputDirectory>templates/deploy/</outputDirectory>
      <includes>
        <include>deploy/**</include>
      </includes>
    </fileSet>
    <fileSet>
      <!-- Copy newjb and newjc directories -->
      <directory>target/configuration-resources</directory>
      <outputDirectory>templates/</outputDirectory>
      <includes>
        <include>new*/**</include>
        <include>windows_service/**</include>
      </includes>
    </fileSet>
    <fileSet>
      <!-- Copy the extra configuration files -->
      <directory>target/extra-resources</directory>
      <outputDirectory>templates/conf/conf/</outputDirectory>
      <includes>
        <include>*.xml</include>
      </includes>
      <excludes>
        <!-- Exclude some properties file -->
        <exclude>FirebirdSQL.properties</exclude>
        <exclude>InstantDB1.properties</exclude>
        <exclude>InterBase1.properties</exclude>
        <exclude>McKoi1.properties</exclude>
        <exclude>MySQL.properties</exclude>
        <exclude>Oracle1.properties</exclude>
        <exclude>Oracle1.properties</exclude>
        <exclude>PostgreSQL1.properties</exclude>
        <exclude>Sybase1.properties</exclude>
      </excludes>
    </fileSet>
  </fileSets>
</component>
